Skip to Content

Get a mailbox

Returns a mailbox with its endpoints and metadata; each endpoint says whether it is the mailbox's default on its channel.

GET
/v1/mailboxes/{id}

Returns a mailbox with its endpoints and metadata; each endpoint says whether it is the mailbox's default on its channel. Its grants are GET /v1/mailboxes/{id}/grants and its send policies GET /v1/mailboxes/{id}/policies.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Mailbox

application/json
  1. response
id*MailboxId
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
kind*MailboxKind

Whether a mailbox belongs to one person or is shared with a team.

Value in"personal""shared"
owner*|null
namespaceId*|null
slug*string
name*string
status*MailboxStatus
Value in"active""paused"
primaryAddress*string|null
sendingStatus*|null
createdAt*string
description*string|null
metadata*
endpoints*array<||>
updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.get({
  "id": "example"
});
Example Response
{
  "id": "string",
  "kind": "personal",
  "owner": "string",
  "namespaceId": "string",
  "slug": "string",
  "name": "string",
  "status": "active",
  "primaryAddress": "string",
  "sendingStatus": "pending",
  "createdAt": "string",
  "description": "string",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "endpoints": [
    {
      "id": "string",
      "address": "string",
      "displayName": "string",
      "default": true,
      "channel": "email",
      "source": "samvaHosted",
      "domainId": "string",
      "sendingStatus": "pending"
    }
  ],
  "updatedAt": "string"
}

Related documentation